LArSoft - Bug #5225

Test run error
01/18/2014 05:21 PM - Seongtae Park

Status: Closed Start date: 01/18/2014
Priority: Normal Due date:

Assignee: Erica Snider % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Occurs In: v0_02_01 Co-Assignees:

Experiment: LBNE

Description

Hello,

| tried to run a module 'RawEVD35t_module.cc' using 'rawevd35t.fcl'.

| put those files in /lbne/app/users/seongtae/larsoft_mydev/srcs/Ibnecode/lbne/Simulation/ just for the test of build and run.
| did'n see any error during building.

But i got this error when i try to run it.

<lbnegpvmO01.fnal.gov> lar e+rawevd35tiel

Fai I ; orfile 35t fel with .
— search_path BEGIN

Can't find file "job/services_lbne.fcl"

---- search_path END

Art has completed and will exit with status 7002.

The followin is the list of commands i executed for this test.
| already setup the working environment before and this is fresh login.

ssh -Y seongtae@IbnegpvmO1.fnal.gov

cd /Ibne/app/users/seongtae

source /grid/fermiapp/products/larsoft/setup

setup git

setup gitflow

setup mrb

export MRB_PROJECT=larsoft

cd larsoft_mydev

source /Ibne/app/users/seongtae/larsoft_mydev/localProducts_larsoft_v0_02_01_debug_e4/setup
setup larsoft vO_02_01 -q debug:e4

cd build //1 already copied the source files in the 'Simulation' pakage.
source mrb s

mrb i -j4

setup Ibnecode vO_01_00 -q debug:e4

//so far no error.

But...

<lbnegpvmO01.fnal.gov> lar e+awevd35tfel

Fai I i o file 35t fel with .
— search_path BEGIN

Can't find file "job/services_lbne.fcl"

---- search_path END

Art has completed and will exit with status 7002.

What am i missing or doing something wrong?
Please give some help on this issue.
Thaks!

Seongtae Park

History

#1 - 01/18/2014 07:44 PM - Erica Snider
- Status changed from New to Resolved

- Assignee set to Erica Snider

Hi,

The problem is that you have the following line in rawevd35t.fcl:

#include "job/services_lbne.fcl"

The "job" in the include path is no longer needed. Just drop that, and art will find it.
Erica

#2 - 01/26/2014 11:23 PM - Erica Snider

- Status changed from Resolved to Closed
